complexType "VarianceOptionTransactionSupplement"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 18 elements
Defined: | globally in fpml-variance-swaps-5-5.xsd; see XML source
Includes: | definitions of 7 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (primaryAssetClass?, secondaryAssetClass*, productType*, productId*, assetClass*, embeddedOptionType[0..2])?, buyerPartyReference?, buyerAccountReference?, sellerPartyReference?, sellerAccountReference?, optionType?, equityPremium?, equityExercise?, exchangeLookAlike?, methodOfAdjustment?, (optionEntitlement | multiplier)?, varianceSwapTransactionSupplement?
</...>

Content Model Elements (18):

  assetClass (defined in Product.model group),
  buyerAccountReference,
  buyerPartyReference (defined in BuyerSeller.model group),
  embeddedOptionType,
  equityExercise (in varianceOptionTransactionSupplement),
  equityPremium (in varianceOptionTransactionSupplement),
  exchangeLookAlike (in varianceOptionTransactionSupplement),
  methodOfAdjustment (in varianceOptionTransactionSupplement),
  multiplier (in varianceOptionTransactionSupplement),
  optionEntitlement (in varianceOptionTransactionSupplement),
  optionType (defined in OptionBase complexType),
  primaryAssetClass (defined in Product.model group),
  productId (defined in Product.model group),
  productType (defined in Product.model group),
  secondaryAssetClass (defined in Product.model group),
  sellerAccountReference,
  sellerPartyReference (defined in BuyerSeller.model group),
  varianceSwapTransactionSupplement (in varianceOptionTransactionSupplement)

All Direct / Indirect Based Elements (1):

  varianceOptionTransactionSupplement

Known Usage Locations

- As direct type of elements (1):
  varianceOptionTransactionSupplement

Type Definition Detail

Type Derivation Tree Product (extension) Option (extension) OptionBase (extension) VarianceOptionTransactionSupplement

XML Source (w/o annotations (7); see within schema source)

<xsd:complexType name="VarianceOptionTransactionSupplement"> <xsd:complexContent> <xsd:extension base="OptionBase"> <xsd:sequence> <xsd:element minOccurs="0" name="equityPremium" type="EquityPremium"/> <xsd:element minOccurs="0" name="equityExercise" type="EquityExerciseValuationSettlement"/> <xsd:element minOccurs="0" name="exchangeLookAlike" type="xsd:boolean"/> <xsd:element minOccurs="0" name="methodOfAdjustment" type="MethodOfAdjustmentEnum"/> <xsd:choice minOccurs="0"> <xsd:element name="optionEntitlement" type="PositiveDecimal"/> <xsd:element name="multiplier" type="PositiveDecimal"/> </xsd:choice> <xsd:element minOccurs="0" name="varianceSwapTransactionSupplement" type="VarianceSwapTransactionSupplement"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 7/18)
equityExercise

  Type: | EquityExerciseValuationSettlement, complex content

  The parameters for defining how the equity option can be exercised, how it is valued and how it is settled.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="equityExercise" type="EquityExerciseValuationSettlement"/>

equityPremium

  Type: | EquityPremium, complex content

  The variance option premium payable by the buyer to the seller.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="equityPremium" type="EquityPremium"/>

exchangeLookAlike

  Type: | xsd:boolean, predefined, simple content

  For a share option transaction, a flag used to indicate whether the transaction is to be treated as an 'exchange look-alike'. This designation has significance for how share adjustments (arising from corporate actions) will be determined for the transaction. For an 'exchange look-alike' transaction the relevant share adjustments will follow that for a corresponding designated contract listed on the related exchange (referred to as Options Exchange Adjustment (ISDA defined term), otherwise the share adjustments will be determined by the calculation agent (referred to as Calculation Agent Adjustment (ISDA defined term)).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="exchangeLookAlike" type="xsd:boolean"/>

methodOfAdjustment

  Type: | MethodOfAdjustmentEnum, simple content

  Defines how adjustments will be made to the contract should one or more of the extraordinary events occur.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "CalculationAgent" | - | The Calculation Agent has the right to adjust the terms of the trade following a corporate action. See: http://www.FpML.org
  "OptionsExchange" | - | The trade will be adjusted in accordance with any adjustment made by the exchange on which options on the underlying are listed. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="methodOfAdjustment" type="MethodOfAdjustmentEnum"/>

multiplier

  Type: | PositiveDecimal, simple content

  Specifies the contract multiplier that can be associated with an index option.
  Simple Content

  xsd:decimal

  minExclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="multiplier" type="PositiveDecimal"/>

optionEntitlement

  Type: | PositiveDecimal, simple content

  The number of shares per option comprised in the option transaction supplement.
  Simple Content

  xsd:decimal

  minExclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="optionEntitlement" type="PositiveDecimal"/>

varianceSwapTransactionSupplement

  Type: | VarianceSwapTransactionSupplement, complex content

  The variance swap details.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="varianceSwapTransactionSupplement" type="VarianceSwapTransactionSupplement"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.